The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mod_evasive on Apache 2.4

Discussion in 'EasyApache' started by phoenixweb, Oct 15, 2014.

  1. phoenixweb

    phoenixweb Well-Known Member

    Joined:
    Jun 3, 2004
    Messages:
    68
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    DataCenter Provider
    Hi there,

    i see that mod_evasive is not supported by Easy Apache for Apache 2.4
    I don't think that the original creator of this module will keep this updated.
    However there are many forks about this module for the new version of Apache.

    PS: It's quite easy to fork because the compatibility issue is due to change in namevars of Apache.
    Then make it work is just a matter of renaming 2 or 3 keywords in the module.

    However the project of mod_evasive has been forked in order to be compatibile with Apache 2.4.
    I see many server having big issue since I update from 2.2 to 2.4 because they miss this module.

    Please re-add this module to EA for 2.4.
    If you need one of the forked module I found this link usefull: https://github.com/shivaas/mod_evasive

    Thanks,
    Massimiliano Cuttini

    - - - Updated - - -

    I have open a feature request here:
    http://features.cpanel.net/responses/add-mod-evasive-in-apache-24
     
  2. ScottTh

    ScottTh Well-Known Member

    Joined:
    Jan 28, 2013
    Messages:
    157
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Hello,

    Please submit a feature request for mod_evasive and Apache 2.4 support here. The feature request site allows other cPanel & WHM users to vote on features they want to see integrated.

    Thank you!
     
  3. phoenixweb

    phoenixweb Well-Known Member

    Joined:
    Jun 3, 2004
    Messages:
    68
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    DataCenter Provider
  4. ScottTh

    ScottTh Well-Known Member

    Joined:
    Jan 28, 2013
    Messages:
    157
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Thank you for submitting. The feature request has been approved and is now available for the community begin voting on.
     
Loading...

Share This Page